### Function

# Secret password_store

#### Declaration [src]

    void
    secret_password_store (
      const SecretSchema* schema,
      const gchar* collection,
      const gchar* label,
      const gchar* password,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      ...
    )

#### Description [src]

Store a password in the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the `schema`. The list of attributes should be terminated with a `NULL`.

If the attributes match a secret item already stored in the collection, then the item will be updated with these new values.

If `collection` is `NULL`, then the default collection will be used. Use `SECRET_COLLECTION_SESSION` to store the password in the session collection, which doesn’t get stored across login sessions.

This method will return immediately and complete asynchronously.

This function is not directly available to language bindings.

The implementation of this function is provided by `secret_password_storev()` in language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The data is owned by the caller of the function.

`collection`

  Type: `const gchar*`

  A collection alias, or D-Bus object path of the collection where to store the secret.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Label for the secret.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `const gchar*`

  The null-terminated password to store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.